Professional Web Applications Themes

pg 8.0 on freebsd 5.3 install problem - PostgreSQL / PGSQL

Hi all, I just installed pg 8.0 on freeBSD 5.3. All is ok, but if I try to increase max_connections to 256 (or more) pg do not starts. Yes, I readet the docs and I know that I need to increase shared memory and semaphores. I recompile my kernel and set : options SYSVSHM options SHMMAXPGS=16382 options SHMSEG=9182 options SYSVSEM options SEMMNI=9182 options SEMMNS=9182 options SEMMNU=9182 options SEMMAP=9182 And also after installing the new kernel I got the same error. Pls., help me to find the values of semaphors in my kernel. Exist any tools for this info? many thanks, ...

  1. #1

    Default pg 8.0 on freebsd 5.3 install problem

    Hi all,

    I just installed pg 8.0 on freeBSD 5.3.

    All is ok, but if I try to increase max_connections to 256 (or more) pg
    do not starts.

    Yes, I readet the docs and I know that I need to increase shared memory
    and semaphores.

    I recompile my kernel and set :
    options SYSVSHM
    options SHMMAXPGS=16382
    options SHMSEG=9182

    options SYSVSEM
    options SEMMNI=9182
    options SEMMNS=9182
    options SEMMNU=9182
    options SEMMAP=9182


    And also after installing the new kernel I got the same error.

    Pls., help me to find the values of semaphors in my kernel.
    Exist any tools for this info?

    many thanks,
    ivan.



    ---------------------------(end of broadcast)---------------------------
    TIP 8: explain yze is your friend

    pginfo Guest

  2. #2

    Default Re: pg 8.0 on freebsd 5.3 install problem

    On Wed, 19 Jan 2005 18:51:40 +0100, pginfo <pginfot1.unisoftbg.com> wrote:
    > Hi all,
    >
    > I just installed pg 8.0 on freeBSD 5.3.
    >
    > All is ok, but if I try to increase max_connections to 256 (or more) pg
    > do not starts.
    >
    > Yes, I readet the docs and I know that I need to increase shared memory
    > and semaphores.
    >
    > I recompile my kernel and set :
    > options SYSVSHM
    > options SHMMAXPGS=16382
    > options SHMSEG=9182
    >
    > options SYSVSEM
    > options SEMMNI=9182
    > options SEMMNS=9182
    > options SEMMNU=9182
    > options SEMMAP=9182
    >
    > And also after installing the new kernel I got the same error.
    >
    The following works for me on 5.3

    options SHMMAXPGS=131072
    options SEMMNI=128
    options SEMMNS=512
    options SEMUME=100
    options SEMMNU=256


    Chris

    ---------------------------(end of broadcast)---------------------------
    TIP 7: don't forget to increase your free space map settings

    Chris Guest

Similar Threads

  1. Compile FreeBSD RELENG_5 on FreeBSD 4-STABLE
    By Brovo Karokin in forum FreeBSD
    Replies: 1
    Last Post: February 25th, 09:04 AM
  2. ipfw fwd problem - FreeBSD 5.3
    By Aragon Gouveia in forum FreeBSD
    Replies: 0
    Last Post: February 21st, 02:36 PM
  3. Replies: 1
    Last Post: December 15th, 09:08 PM
  4. ruby-fcgi problem on freebsd
    By Carl Youngblood in forum Ruby
    Replies: 0
    Last Post: October 18th, 10:23 PM
  5. Replies: 1
    Last Post: January 13th, 10:13 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139